package com.esv.freight.file.common.em;

/**
 * @description: DB记录是否删除标识
 * @project: SpringCloudTemplate
 * @name: com.esv.springcloud.template.common.constants.DbDeletedEnum
 * @author: 黄朝斌
 * @email: huangchaobin@esvtek.com
 * @createTime: 2020/03/13 15:08
 * @version:1.0
 */
public enum DbDeletedEnum {

    NO(false, "未删除"),
    YES(true, "已删除");

    private Boolean code;
    private String message;

    DbDeletedEnum(Boolean code, String message) {
        this.code = code;
        this.message = message;
    }

    public Boolean getCode() {
        return code;
    }

    public void setCode(Boolean code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
